Returns the maximum number of constraint counts that should be returned for the facet fields

- « SolrQuery::getFacetFields

- SolrQuery::getFacetMethod »

- PHP Manual
- SolrQuery
- Returns the maximum number of constraint counts that should be returned for the facet fields

# SolrQuery::getFacetLimit

(PECL solr >= 0.9.2)

SolrQuery::getFacetLimit — Returns the maximum number of constraint counts that should be returned for the facet fields

### Description

public SolrQuery::getFacetLimit(string `$field_override` = ?): int

Returns the maximum number of constraint counts that should be returned for the facet fields. This method accepts an optional field override

### Parameters

`field_override`

  The name of the field to override for

### Return Values

Returns an integer on success and `null` if not set